<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <roleRef roleURI="http://asstorentholding.com/xbrl/2024/roles/StatementOfComprehensiveIncome" xlink:href="asstorentholding-2024-12-31.xsd#StatementOfComprehensiveIncome" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://asstorentholding.com/xbrl/2024/roles/StatementOfFinancialPosition" xlink:href="asstorentholding-2024-12-31.xsd#StatementOfFinancialPosition" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://asstorentholding.com/xbrl/2024/roles/StatementOfCashFlows" xlink:href="asstorentholding-2024-12-31.xsd#StatementOfCashFlows" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <arcroleRef arcroleURI="https://xbrl.org/2023/arcrole/summation-item" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <calculationLink xlink:role="http://asstorentholding.com/xbrl/2024/roles/StatementOfComprehensiveIncome" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Revenue" xlink:label="ifrs-full_Revenue" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherIncome" xlink:label="ifrs-full_OtherIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RawMaterialsAndConsumablesUsed" xlink:label="ifrs-full_RawMaterialsAndConsumablesUsed" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:label="ifrs-full_EmployeeBenefitsExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherExpenseByNature" xlink:label="ifrs-full_OtherExpenseByNature" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" xlink:label="ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:label="ifrs-full_DepreciationAndAmortisationExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncome" xlink:label="ifrs-full_FinanceIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceCosts" xlink:label="ifrs-full_FinanceCosts" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:label="ifrs-full_ProfitLossFromContinuingOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInAccumulatedDeferredTaxRecognisedInOtherComprehensiveIncomeDueToChangeInTaxRate" xlink:label="ifrs-full_IncreaseDecreaseInAccumulatedDeferredTaxRecognisedInOtherComprehensiveIncomeDueToChangeInTaxRate" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromDiscontinuedOperations" xlink:label="ifrs-full_ProfitLossFromDiscontinuedOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="ifrs-full_OtherComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" xlink:label="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="asstorentholding-2024-12-31.xsd#asstorentholding_EBITDA" xlink:label="asstorentholding_EBITDA" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_Revenue" order="8" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_OtherIncome" order="9" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_RawMaterialsAndConsumablesUsed" order="10" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_EmployeeBenefitsExpense" order="11" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_OtherExpenseByNature" order="12" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" order="13" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_DepreciationAndAmortisationExpense" order="15" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_FinanceIncome" order="16" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_FinanceCosts" order="17" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossFromContinuingOperations" xlink:to="ifrs-full_ProfitLossBeforeTax" order="18" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossFromContinuingOperations" xlink:to="ifrs-full_IncomeTaxExpenseContinuingOperations" order="19" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossFromContinuingOperations" xlink:to="ifrs-full_IncreaseDecreaseInAccumulatedDeferredTaxRecognisedInOtherComprehensiveIncomeDueToChangeInTaxRate" order="20" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLoss" xlink:to="ifrs-full_ProfitLossFromContinuingOperations" order="21" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLoss" xlink:to="ifrs-full_ProfitLossFromDiscontinuedOperations" order="22" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncome" xlink:to="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" order="25" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation" order="26" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncome" order="27" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_ProfitLoss" order="23" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="asstorentholding_EBITDA" xlink:to="ifrs-full_Revenue" order="8" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="asstorentholding_EBITDA" xlink:to="ifrs-full_OtherIncome" order="9" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="asstorentholding_EBITDA" xlink:to="ifrs-full_RawMaterialsAndConsumablesUsed" order="10" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="asstorentholding_EBITDA" xlink:to="ifrs-full_EmployeeBenefitsExpense" order="11" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="asstorentholding_EBITDA" xlink:to="ifrs-full_OtherExpenseByNature" order="12" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="asstorentholding_EBITDA" xlink:to="ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" order="13" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
  </calculationLink>
  <calculationLink xlink:role="http://asstorentholding.com/xbrl/2024/roles/StatementOfFinancialPosition" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IntangibleAssetsAndGoodwill" xlink:label="ifrs-full_IntangibleAssetsAndGoodwill" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_LicencesAndFranchises" xlink:label="ifrs-full_LicencesAndFranchises" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComputerSoftware" xlink:label="ifrs-full_ComputerSoftware" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IntangibleAssetsUnderDevelopment" xlink:label="ifrs-full_IntangibleAssetsUnderDevelopment" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Goodwill" xlink:label="ifrs-full_Goodwill" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="ifrs-full_PropertyPlantAndEquipment" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_LandAndBuildings" xlink:label="ifrs-full_LandAndBuildings" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Machinery" xlink:label="ifrs-full_Machinery" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherPropertyPlantAndEquipment" xlink:label="ifrs-full_OtherPropertyPlantAndEquipment" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ConstructionInProgress" xlink:label="ifrs-full_ConstructionInProgress" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherNoncurrentReceivables" xlink:label="ifrs-full_OtherNoncurrentReceivables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentReceivablesDueFromRelatedParties" xlink:label="ifrs-full_NoncurrentReceivablesDueFromRelatedParties" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssets" xlink:label="ifrs-full_NoncurrentAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PropertyPlantAndEquipmentIncludingRightofuseAssets" xlink:label="ifrs-full_PropertyPlantAndEquipmentIncludingRightofuseAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="ifrs-full_TradeAndOtherCurrentReceivables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTradeReceivables" xlink:label="ifrs-full_CurrentTradeReceivables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentContractAssets" xlink:label="ifrs-full_CurrentContractAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentReceivables" xlink:label="ifrs-full_OtherCurrentReceivables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentPrepaidExpenses" xlink:label="ifrs-full_CurrentPrepaidExpenses" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssets" xlink:label="ifrs-full_CurrentAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentRawMaterialsAndCurrentProductionSupplies" xlink:label="ifrs-full_CurrentRawMaterialsAndCurrentProductionSupplies" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:label="ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Assets" xlink:label="ifrs-full_Assets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="ifrs-full_NoncurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentPortionOfNoncurrentBondsIssued" xlink:label="ifrs-full_NoncurrentPortionOfNoncurrentBondsIssued" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:label="ifrs-full_NoncurrentLeaseLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentPortionOfOtherNoncurrentBorrowings" xlink:label="ifrs-full_NoncurrentPortionOfOtherNoncurrentBorrowings" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentDeferredIncomeOtherThanNoncurrentContractLiabilities" xlink:label="ifrs-full_NoncurrentDeferredIncomeOtherThanNoncurrentContractLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="ifrs-full_DeferredTaxLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLiabilities" xlink:label="ifrs-full_CurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentBondsIssuedAndCurrentPortionOfNoncurrentBondsIssued" xlink:label="ifrs-full_CurrentBondsIssuedAndCurrentPortionOfNoncurrentBondsIssued" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentPayablesToRelatedParties" xlink:label="ifrs-full_TradeAndOtherCurrentPayablesToRelatedParties" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:label="ifrs-full_CurrentLeaseLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentBorrowingsAndCurrentPortionOfOtherNoncurrentBorrowings" xlink:label="ifrs-full_OtherCurrentBorrowingsAndCurrentPortionOfOtherNoncurrentBorrowings" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:label="ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAdvances" xlink:label="ifrs-full_CurrentAdvances" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherPayablesToTradeSuppliers" xlink:label="ifrs-full_TradeAndOtherPayablesToTradeSuppliers" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:label="ifrs-full_CurrentTaxLiabilitiesCurrent" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentPayablesOnSocialSecurityAndTaxesOtherThanIncomeTax" xlink:label="ifrs-full_CurrentPayablesOnSocialSecurityAndTaxesOtherThanIncomeTax" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredIncomeOtherThanContractLiabilities" xlink:label="ifrs-full_DeferredIncomeOtherThanContractLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ShorttermEmployeeBenefitsAccruals" xlink:label="ifrs-full_ShorttermEmployeeBenefitsAccruals" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentPayables" xlink:label="ifrs-full_OtherCurrentPayables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities" xlink:label="ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Liabilities" xlink:label="ifrs-full_Liabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IssuedCapital" xlink:label="ifrs-full_IssuedCapital" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RevaluationSurplus" xlink:label="ifrs-full_RevaluationSurplus" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CapitalReserve" xlink:label="ifrs-full_CapitalReserve" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:label="ifrs-full_ReserveOfExchangeDifferencesOnTranslation" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherReserves" xlink:label="ifrs-full_OtherReserves" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RetainedEarnings" xlink:label="ifrs-full_RetainedEarnings" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAndLiabilities" xlink:label="ifrs-full_EquityAndLiabilities" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IntangibleAssetsAndGoodwill" xlink:to="ifrs-full_LicencesAndFranchises" order="5" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IntangibleAssetsAndGoodwill" xlink:to="ifrs-full_ComputerSoftware" order="6" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IntangibleAssetsAndGoodwill" xlink:to="ifrs-full_IntangibleAssetsUnderDevelopment" order="7" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IntangibleAssetsAndGoodwill" xlink:to="ifrs-full_Goodwill" order="8" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_PropertyPlantAndEquipment" xlink:to="ifrs-full_LandAndBuildings" order="11" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_PropertyPlantAndEquipment" xlink:to="ifrs-full_Machinery" order="12" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_PropertyPlantAndEquipment" xlink:to="ifrs-full_OtherPropertyPlantAndEquipment" order="13" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_PropertyPlantAndEquipment" xlink:to="ifrs-full_ConstructionInProgress" order="14" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherNoncurrentReceivables" xlink:to="ifrs-full_NoncurrentReceivablesDueFromRelatedParties" order="20" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_OtherNoncurrentReceivables" order="21" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_PropertyPlantAndEquipmentIncludingRightofuseAssets" order="18" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_PropertyPlantAndEquipment" order="15" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_IntangibleAssetsAndGoodwill" order="9" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_TradeAndOtherCurrentReceivables" xlink:to="ifrs-full_CurrentTradeReceivables" order="27" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_TradeAndOtherCurrentReceivables" xlink:to="ifrs-full_CurrentContractAssets" order="28" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_TradeAndOtherCurrentReceivables" xlink:to="ifrs-full_OtherCurrentReceivables" order="29" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_TradeAndOtherCurrentReceivables" xlink:to="ifrs-full_CurrentPrepaidExpenses" order="30" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_CurrentRawMaterialsAndCurrentProductionSupplies" order="24" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" order="25" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_TradeAndOtherCurrentReceivables" order="31" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_CashAndCashEquivalents" order="32" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_NoncurrentAssets" order="22" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_CurrentAssets" order="33" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="ifrs-full_NoncurrentPortionOfNoncurrentBondsIssued" order="15" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="ifrs-full_NoncurrentLeaseLiabilities" order="16" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="ifrs-full_NoncurrentPortionOfOtherNoncurrentBorrowings" order="17" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="ifrs-full_NoncurrentDeferredIncomeOtherThanNoncurrentContractLiabilities" order="18" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="ifrs-full_DeferredTaxLiabilities" order="19" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_CurrentBondsIssuedAndCurrentPortionOfNoncurrentBondsIssued" order="22" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_TradeAndOtherCurrentPayablesToRelatedParties" order="23" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_CurrentLeaseLiabilities" order="24" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_OtherCurrentBorrowingsAndCurrentPortionOfOtherNoncurrentBorrowings" order="25" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" order="26" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_CurrentAdvances" order="27" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_TradeAndOtherPayablesToTradeSuppliers" order="28" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_CurrentTaxLiabilitiesCurrent" order="29" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_CurrentPayablesOnSocialSecurityAndTaxesOtherThanIncomeTax" order="30" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_DeferredIncomeOtherThanContractLiabilities" order="31" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_ShorttermEmployeeBenefitsAccruals" order="32" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_OtherCurrentPayables" order="33" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities" order="34" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_CurrentLiabilities" order="35" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_NoncurrentLiabilities" order="20" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_IssuedCapital" order="4" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_RevaluationSurplus" order="6" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_CapitalReserve" order="7" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_ReserveOfExchangeDifferencesOnTranslation" order="8" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_OtherReserves" order="9" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_RetainedEarnings" order="11" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="ifrs-full_Liabilities" order="36" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="ifrs-full_Equity" order="12" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
  </calculationLink>
  <calculationLink xlink:role="http://asstorentholding.com/xbrl/2024/roles/StatementOfCashFlows" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:label="ifrs-full_AdjustmentsForIncomeTaxExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" xlink:label="ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:label="ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForFinanceCosts" xlink:label="ifrs-full_AdjustmentsForFinanceCosts" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForProvisions" xlink:label="ifrs-full_AdjustmentsForProvisions" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForInterestIncome" xlink:label="ifrs-full_AdjustmentsForInterestIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="ifrs-full_CashFlowsFromUsedInOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:label="ifrs-full_InterestPaidClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities" xlink:label="ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashPaymentsForFutureContractsForwardContractsOptionContractsAndSwapContractsClassifiedAsInvestingActivities" xlink:label="ifrs-full_CashPaymentsForFutureContractsForwardContractsOptionContractsAndSwapContractsClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromIssueOfBondsNotesAndDebentures" xlink:label="ifrs-full_ProceedsFromIssueOfBondsNotesAndDebentures" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromCurrentBorrowings" xlink:label="ifrs-full_ProceedsFromCurrentBorrowings" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RepaymentsOfBondsNotesAndDebentures" xlink:label="ifrs-full_RepaymentsOfBondsNotesAndDebentures" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RepaymentsOfCurrentBorrowings" xlink:label="ifrs-full_RepaymentsOfCurrentBorrowings" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RepaymentsOfNoncurrentBorrowings" xlink:label="ifrs-full_RepaymentsOfNoncurrentBorrowings" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="ifrs-full_DividendsPaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:label="ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ifrs-full_ProfitLoss" order="3" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ifrs-full_AdjustmentsForIncomeTaxExpense" order="5" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" order="7" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" order="8" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ifrs-full_AdjustmentsForFinanceCosts" order="9" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ifrs-full_AdjustmentsForProvisions" order="11" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ifrs-full_AdjustmentsForInterestIncome" order="10" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperations" xlink:to="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" order="12" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperations" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" order="13" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperations" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" order="14" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperations" xlink:to="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable" order="15" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_CashFlowsFromUsedInOperations" order="16" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_InterestPaidClassifiedAsOperatingActivities" order="17" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" order="18" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" order="21" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" order="22" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities" order="23" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_CashPaymentsForFutureContractsForwardContractsOptionContractsAndSwapContractsClassifiedAsInvestingActivities" order="24" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_ProceedsFromIssueOfBondsNotesAndDebentures" order="27" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_ProceedsFromCurrentBorrowings" order="28" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_RepaymentsOfBondsNotesAndDebentures" order="29" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_RepaymentsOfCurrentBorrowings" order="30" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_RepaymentsOfNoncurrentBorrowings" order="31" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" order="32" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_DividendsPaidClassifiedAsFinancingActivities" order="33" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="ifrs-full_CashFlowsFromUsedInFinancingActivities" order="34" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" order="35" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="ifrs-full_CashFlowsFromUsedInInvestingActivities" order="25" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="ifrs-full_CashFlowsFromUsedInOperatingActivities" order="19" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
  </calculationLink>
</linkbase>